Home

# Class goog.math.Bezier

Object representing a cubic bezier curve.

Instance Method Summary
| `clone() ⇒ !goog.math.Bezier`
| `equals(?goog.math.Bezier other) ⇒ boolean` Test if the given curve is exactly the same as this one.
| `flip()` Modifies the curve in place to progress in the opposite direction.
| `getPoint(number t) ⇒ !goog.math.Coordinate` Computes the curve at a point between 0 and 1.
| `solvePositionFromXValue(number xVal) ⇒ number` Computes the position t of a point on the curve given its x coordinate. That is, for an input xVal, finds t s.t. getPoint(t).x = xVal. As such, the following should always be true up to some small epsilon: t ~ solvePositionFromXValue(getPoint(t).x) for t in [0, 1].
| `solveYValueFromXValue(number xVal) ⇒ number` Computes the y coordinate of a point on the curve given its x coordinate.
| `subdivide(number s, number t)` Changes this curve in place to be the portion of itself from [s, t].
| `subdivideLeft(number t)` Changes this curve in place to be the portion of itself from [t, 1].
| `subdivideRight(number t)` Changes this curve in place to be the portion of itself from [0, t].